Skip to main content
Back to API List To get complete information of all users and their associated roles in the account.
This API requires a JWT generated by an application created only from the Admin Console.
FieldValue
MethodGET
Endpointhttps://{{host}}/api/public/alluserroles?
Content Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token.
API ScopeApp Builder: Not Applicable; Admin Console: Profile Management > Role Management

Path Parameters

ParameterDescription
hostEnvironment URL, for example, https://platform.kore.ai.

Sample Request

curl -X GET \
  https://{{host}}/api/public/alluserroles?limit=2 \
  -H 'auth: {{YOUR_JWT_ACCESS_TOKEN}}'

Sample Response

{
    "total": 10,
    "availableMore": true,
    "users": [
        {
            "username": "john.doe@example.com",
            "orgUserId": "org assigned user id",
            "accountId": "<id>",
            "isDeveloper": true,
            "canCreateBot": true,
            "userId": "u-xxx-xxx-xxx-xxx-xxxxx",
            "btRoles": [],
            "adminRoles": []
        },
        {
            "username": "john.doe@example.com",
            "orgUserId": "org assigned user id",
            "accountId": "<id>",
            "isDeveloper": true,
            "canCreateBot": true,
            "userId": "u-xxxxx-xxx-xxx-xxx-xxxxx",
            "btRoles": [
                {
                    "roleId": "5c04ae921ad9976d311e9b50",
                    "roleName": "Bot Developer",
                    "groups": [],
                    "botId": "st-fd7c7396-82c1-5916-972d-6bfe6908b5ab",
                    "botName": "Example Bot"
                }
            ],
            "adminRoles": []
        }
    ]
}